<?php


namespace app\cbcrm\controller\api;


use app\cbcrm\model\trade\TrademarkLocalModel;
use app\cbcrm\model\trade\TrademarkOrderModel;
use app\cbcrm\services\TrademarkService;

class TmTrade extends Base
{
    /*
     * 本地商标回传状态
     * */
    public function localReturnStatus()
    {
        $unique_id = $this->request->post('unique_id')?:$this->error('参数错误');

        $data = $this->request->post('data/a');

        $allowField = ['status','trade_status','admin_status','return_status','return_audit_memo'];// 允许更新的字段

        foreach ($data as $key=>$datum) {
            if (!in_array($key,$allowField)) {
                $this->error('数据不允许更新');
            }
        }

        $model = app()->make(TrademarkLocalModel::class);

        $row = $model->where('unique_id',$unique_id)->find();

        if (!$row) {
            $this->error('商标未找到');
        }

        $data['update_time'] = date('Y-m-d H:i:s');

        $result = $model->where('unique_id',$unique_id)->update($data);

        if ($result) {
            $this->success('回传成功');
        }else{
            $this->error('回传更新失败');
        }


    }

    /*
     * 商标交易订单回传状态
     * */
    public function returnOrderStatus()
    {
        $unique_id = $this->request->post('unique_id')?:$this->error('参数错误');

        $data = $this->request->post('data/a');

        $allowField = ['status','tm_trade_certificate','audit_memo'];// 允许更新的字段

        foreach ($data as $key=>$datum) {
            if (!in_array($key,$allowField)) {
                $this->error('数据不允许更新');
            }
        }

        $model = app()->make(TrademarkOrderModel::class);

        $row = $model->where('unique_id',$unique_id)->find();

        if (!$row) {
            $this->error('订单未找到');
        }
        $data['update_time'] = date('Y-m-d H:i:s');

        $result = $model->where('unique_id',$unique_id)->update($data);

        // 同步更新本地库
        if ($row->local_id) {
            if ($data['status']==1) {
                (new TrademarkLocalModel())->where('id',$row->local_id)->update([
                    'trade_status'=>1,
                    'admin_status'=>0,
                ]);
            }elseif($data['status']==-1){
                (new TrademarkLocalModel())->where('id',$row->local_id)->update([
                    'trade_status'=>0,
                    'admin_status'=>1,
                ]);
            }
        }

        if ($result) {
            $this->success('回传成功');
        }else{
            $this->error('回传更新失败');
        }
    }
}
