<?php


namespace app\cbcrm\controller\site;


use app\cbcrm\controller\BaseSite;
use app\cbcrm\model\trade\TrademarkOrderModel;
use think\App;
use think\facade\View;

class TmTradeOrder extends BaseSite
{
    protected $model = null;

    public function __construct(App $app)
    {
        View::config(['layout_on'=>true,'layout_name' => 'site/common/user_layout']);

        $this->model = new TrademarkOrderModel();

        parent::__construct($app);
    }

    public function index()
    {
        $list = $this->model->where('user_id',$this->auth()->id)->order('id','desc')->paginate(10);

        View::assign('list',$list);

        View::assign('page', $list->render());

        return $this->view('user/tm/trade/index');
    }

    public function detail()
    {
        $id = $this->request->get('id')?:$this->error('参数错误');

        $row = $this->model->where(['id'=>$id,'user_id'=>$this->auth()->id])->find();
        View::assign('row',$row);

        return $this->view('user/tm/trade/detail');
    }
}
