<?php


namespace app\cbcrm\model\trade;


use GuzzleHttp\Client;
use GuzzleHttp\Exception\GuzzleException;
use think\Exception;
use think\Model;

class TrademarkLocalModel extends Model
{
    protected $table = 'cb_crm_tm_trade_local_libs';

    public function getTmTradeImagePreviewAttr($value,$data)
    {
        if ($data['tm_trade_image']) {
            return [
                'url'=>$data['tm_trade_image'],
                'preview_url'=>cdnurl($data['tm_trade_image'])
            ];
        }
    }

    public function getTmTradeCustomImagePreviewAttr($value,$data)
    {
        if ($data['tm_trade_custom_image']) {
            return [
                'url'=>$data['tm_trade_custom_image'],
                'preview_url'=>cdnurl($data['tm_trade_custom_image'])
            ];
        }
    }

    public function getRegistIssueImgPreviewAttr($value,$data)
    {
        if ($data['regist_issue_img']) {
            return [
                'url'=>$data['regist_issue_img'],
                'preview_url'=>cdnurl($data['regist_issue_img'])
            ];
        }
    }
    public function getPreliminaryIssueImgPreviewAttr($value,$data)
    {
        if ($data['preliminary_issue_img']) {
            return [
                'url'=>$data['preliminary_issue_img'],
                'preview_url'=>cdnurl($data['preliminary_issue_img'])
            ];
        }
    }


    public function sync_cloud($row,$apiUrl,$apiKey)
    {
        try {
            $client = new Client();
            $row->tm_trade_image = cdnurl($row->tm_trade_image);
            $row->tm_trade_custom_image = cdnurl($row->tm_trade_custom_image);
            $row->regist_issue_img = cdnurl($row->regist_issue_img);
            $row->preliminary_issue_img = cdnurl($row->preliminary_issue_img);
            $row->domain = \request()->domain();

            $response = $client->request('POST', $apiUrl . '/trade/trademark_local/sync', [
                'query' => ['api_key' => $apiKey],
                'json'=>$row
            ]);
            $result = json_decode($response->getBody(), true);
            if ($result['code'] != 1) {
                throw new Exception($result['msg']);
            }
            $model = app()->make(TrademarkLocalModel::class);
            if (isset($result['data']['unique_id']) && $result['data']['unique_id']!=$row->unique_id) {
                $model->where('id',$row->id)->update([
                    'unique_id'=>$result['data']['unique_id'],
                    'return_status'=>$result['data']['return_status'],
                    'update_time'=>date('Y-m-d H:i:s')
                ]);
            }
        } catch (GuzzleException $e) {
            return error($e->getMessage());
        } catch (Exception $e) {
            return error($e->getMessage());
        }

        return true;
    }
}
